- name: Start Docker services on remote host
  service: name=docker state=started
  become: yes

- name: Stop and remove existing allu_supervision_api container from Docker
  docker_container:
    name: "{{ supervision_api_name }}"
    state: absent
  become: yes

- name: Remove existing allu_supervision_api image from Docker
  docker_image:
    name: "{{ gitlab_registry_url }}/vincit/allu/allu/allu_supervision_api:{{ branch }}"
    state: absent
    force_absent: true
  become: yes
  when: "'test' in group_names or 'staging' in group_names"

- name: Login to GitLab repository at the remote
  docker_login:
    registry: "{{ gitlab_registry_url }}/vincit/allu/allu"
    username: "{{ gitlab_deploy_user }}"
    password: "{{ gitlab_deploy_token }}"
  become: yes

- name: Pull allu_supervision_api Docker image from GitLab repository
  docker_image:
    source: pull
    name: "{{ gitlab_registry_url }}/vincit/allu/allu/allu_supervision_api:{{ branch }}"
    force_source: yes
  become: yes

- name: Start allu_supervision_api container
  docker_container:
    name: "{{ supervision_api_name }}"
    image: "{{ gitlab_registry_url }}/vincit/allu/allu/allu_supervision_api:{{ branch }}"
    restart_policy: always
    volumes:
      - /srv/data/allu:/servicehome:rw
    published_ports:
      - "9050:9050"
    networks:
      - name: "{{ network_name }}"
  become: yes